/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 21, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.coreservices.carboncore.UTCUtils;

//import dstep.AvailabilityMacros;
import dstep.coreservices.carboncore.MacErrors;
import dstep.coreservices.carboncore.MacTypes;

alias UTCDateTime* UTCDateTimePtr;
alias UTCDateTimePtr* UTCDateTimeHandle;
alias LocalDateTime* LocalDateTimePtr;
alias LocalDateTimePtr* LocalDateTimeHandle;

enum
{
	kUTCDefaultOptions = 0
}

struct UTCDateTime
{
	ushort highSeconds;
	uint lowSeconds;
	ushort fraction;
}


struct LocalDateTime
{
	ushort highSeconds;
	uint lowSeconds;
	ushort fraction;
}

