/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 1, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.applicationservices.coregraphics.CGDisplayFade;

import dstep.applicationservices.coregraphics.CGDirectDisplay;
import dstep.applicationservices.coregraphics.CGDisplayConfiguration;

alias uint CGDisplayFadeReservationToken;
alias float CGDisplayBlendFraction;
alias float CGDisplayFadeInterval;
alias float CGDisplayReservationInterval;

extern (C)
{
	int CGConfigureDisplayFadeEffect (CGDisplayConfigRef configRef, float fadeOutSeconds, float fadeInSeconds, float fadeRed, float fadeGreen, float fadeBlue);
	int CGAcquireDisplayFadeReservation (float seconds, CGDisplayFadeReservationToken* pNewToken);
	int CGReleaseDisplayFadeReservation (uint myToken);
	int CGDisplayFade (uint myToken, float seconds, float startBlend, float endBlend, float redBlend, float greenBlend, float blueBlend, int synchronous);
	int CGDisplayFadeOperationInProgress ();
}